Name: hp-be2iscsi
Version: 2.104.225.7
Release: 1
Group: System Environment/Kernel
Vendor: ServerEngines Corporation
URL: http://www.serverengines.com
Packager: ServerEngines Corporation
License: GPL
Source: %{name}-%{version}.tar.gz
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}
Summary: ServerEngines BladeEngine iSCSI Driver

%define debug_package %{nil}

%if "%{_vendor}" == "suse"
%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav debug default kdump smp xen trace
%else
%define flav bigsmp debug default kdump kdumpae smp vmi vmipae xen xenpae pae trace
%endif
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F "-" '{print $3}')
%endif
%endif

%if "%{_vendor}" == "redhat"
%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F "el5" '{print $2}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%if "%{_vendor}" == "suse"
BuildRequires: kernel-source kernel-syms
%define install_mod_dir updates/%{name}
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%{kernel_module_package %flav}
%endif

%description
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine

%package KMP
Summary: iSCSI driver for ServerEngines BladeEngine
Group: System/kernel

%description KMP
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        export SRC=$PWD/obj/$flavor
        make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
	strip --strip-unneeded $PWD/obj/$flavor/be2iscsi.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir

for flavor in %flavors_to_build; do
        make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m
done


%clean
rm -rf %{buildroot}

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog
